/*
 *
 *                         DES SOFTWARE PACKAGE
 *                             Version 2.2
 *
 *                                        _
 * Copyright (c) 1990,1991,1992,1993 Stig Ostholm.
 * All Rights Reserved
 *
 *
 * The author takes no responsibility of actions caused by the use of this
 * software package and does not guarantee the correctness of the functions.
 *
 * This software package may be freely distributed for non-commercial purpose
 * as long as the copyright notice is kept. Any changes made should be
 * accompanied by a comment indicating who made the change, when it was made
 * and what was changed.
 *
 * This software package, or any parts of it, may not be used or in any way
 * re-distributed for commercial purpose without the authors permission.
 * The author keeps the right to decide between of what is commercial and
 * what is non-commercial purpose.
 *
 * Restrictions due to national laws governing the use, import or export of
 * cryptographic software is the responsibility of the software user/importer/
 * exporter to follow.
 *
 *
 *                                              _
 *                                         Stig Ostholm
 *                                         Chalmers University of Technology
 *                                         Department of Computer Engineering
 *                                         S-412 96 Gothenburg
 *                                         Sweden
 *                                         ----------------------------------
 *                                         Email: ostholm@ce.chalmers.se
 *                                         Phone: +46 31 772 1703
 *                                         Fax:   +46 31 772 3663
 */

/*
 * The permuted coise 2 PC2 as decriped in FIPS 46 1977 January 15.
 *
 * The first bit of Kn is the 14th bit of CnDn the second is  th 17th
 * and so on with the 48th bit th 32nd.
 */

#define PC2_ROWS	8
#define PC2_COLUMNS	6

#ifdef __SDTC__
const
#endif
	unsigned char	pc2[PC2_ROWS][PC2_COLUMNS] = {
				{ 14, 17, 11, 24,  1,  5 },
				{  3, 28, 15,  6, 21, 10 },
				{ 23, 19, 12,  4, 26,  8 },
				{ 16,  7, 27, 20, 13,  2 },
				{ 41, 52, 31, 37, 47, 55 },
				{ 30, 40, 51, 45, 33, 48 },
				{ 44, 49, 39, 56, 34, 53 },
				{ 46, 42, 50, 36, 29, 32 },
			};
